com.hazelcast.nio

## Interface BufferObjectDataInput

- All Superinterfaces:
    AutoCloseable, Closeable, DataInput, ObjectDataInput, VersionAware

      @PrivateApi
      public interface BufferObjectDataInput
      extends ObjectDataInput, Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UTF_BUFFER_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `init(byte[] data, int offset)`
    `int` | `position()`
    `void` | `position(int newPos)`
    `int` | `read(int position)`
    `boolean` | `readBoolean(int position)`
    `byte` | `readByte(int position)`
    `char` | `readChar(int position)`
    `double` | `readDouble(ByteOrder byteOrder)`
    `double` | `readDouble(int position)`
    `double` | `readDouble(int position, ByteOrder byteOrder)`
    `float` | `readFloat(ByteOrder byteOrder)`
    `float` | `readFloat(int position)`
    `float` | `readFloat(int position, ByteOrder byteOrder)`
    `int` | `readInt(ByteOrder byteOrder)`
    `int` | `readInt(int position)`
    `int` | `readInt(int position, ByteOrder byteOrder)`
    `long` | `readLong(ByteOrder byteOrder)`
    `long` | `readLong(int position)`
    `long` | `readLong(int position, ByteOrder byteOrder)`
    `short` | `readShort(ByteOrder byteOrder)`
    `short` | `readShort(int position)`
    `short` | `readShort(int position, ByteOrder byteOrder)`
    `void` | `reset()`
    `void` | `setVersion(Version version)`

    - ### Methods inherited from interface com.hazelcast.nio.ObjectDataInput

      `getByteOrder, getClassLoader, getSerializationService, readBooleanArray, readByteArray, readCharArray, readData, readDataAsObject, readDoubleArray, readFloatArray, readIntArray, readLongArray, readObject, readObject, readShortArray, readUTFArray`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

    - ### Methods inherited from interface com.hazelcast.nio.VersionAware

      `getVersion`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### UTF_BUFFER_SIZE

          static final int UTF_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### read

          int read(int position)
            throws IOException

      Throws:
        `IOException`

    - #### readInt

          int readInt(int position)
               throws IOException

      Throws:
        `IOException`

    - #### readInt

          int readInt(ByteOrder byteOrder)
               throws IOException

      Throws:
        `IOException`

    - #### readInt

          int readInt(int position,
                      ByteOrder byteOrder)
               throws IOException

      Throws:
        `IOException`

    - #### readLong

          long readLong(int position)
                 throws IOException

      Throws:
        `IOException`

    - #### readLong

          long readLong(ByteOrder byteOrder)
                 throws IOException

      Throws:
        `IOException`

    - #### readLong

          long readLong(int position,
                        ByteOrder byteOrder)
                 throws IOException

      Throws:
        `IOException`

    - #### readBoolean

          boolean readBoolean(int position)
                       throws IOException

      Throws:
        `IOException`

    - #### readByte

          byte readByte(int position)
                 throws IOException

      Throws:
        `IOException`

    - #### readChar

          char readChar(int position)
                 throws IOException

      Throws:
        `IOException`

    - #### readDouble

          double readDouble(int position)
                     throws IOException

      Throws:
        `IOException`

    - #### readDouble

          double readDouble(ByteOrder byteOrder)
                     throws IOException

      Throws:
        `IOException`

    - #### readDouble

          double readDouble(int position,
                            ByteOrder byteOrder)
                     throws IOException

      Throws:
        `IOException`

    - #### readFloat

          float readFloat(int position)
                   throws IOException

      Throws:
        `IOException`

    - #### readFloat

          float readFloat(ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### readFloat

          float readFloat(int position,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### readShort

          short readShort(int position)
                   throws IOException

      Throws:
        `IOException`

    - #### readShort

          short readShort(ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### readShort

          short readShort(int position,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### position

          int position()

    - #### position

          void position(int newPos)

    - #### reset

          void reset()

    - #### clear

          void clear()

    - #### init

          void init(byte[] data,
                    int offset)

    - #### setVersion

          void setVersion(Version version)

Copyright © 2018. All rights reserved.